Mantis Bug Tracker


View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002628FSSCPFREDpublic2012-03-10 17:242012-07-01 21:29
Reporterjg18 
Assigned ToCommanderDJ 
PriorityhighSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version3.6.14 RC6 
Target VersionFixed in Version 
Summary0002628: Can't reform a wing if there's only one ship in the wing
DescriptionIf I try to reform a wing in FRED (that is, add more ships to the wing), I can only do so if there are already at least two ships in the wing.
Steps To Reproduce1. Open the attached mission in FRED.
2. Select the three Hercules fighters on the left and press Ctrl-W to form the wing. You'll be asked if you want to reform wing Beta, as expected.
3. Then deselect the Hercules fighters and select the two Ulysses fighters on the right and press Ctrl-W. Instead of being asked if you want to reform wing Alpha, you'll be asked to specify a name for the new wing.
4. Try to use Alpha as the new wing name (since what you really want is to reform Alpha wing). FRED will tell you that the name Alpha is already being used by another wing.
TagsNo tags attached.
Attached Files? file icon formwingtest.fs2 [^] (5,780 bytes) 2012-03-10 17:24
patch file icon mantis_2628.patch [^] (516 bytes) 2012-06-21 08:37 [Show Content]

- Relationships

-  Notes
(0013669)
z64555 (developer)
2012-06-14 22:38
edited on: 2012-06-14 23:25

Confirmed with FRED 3.6.14 RC6, as well as 3.6.13

This only happens with Alpha wing, or rather, whatever the player's starting wing is initially. Beta, Gamma, etc. can have any number of craft in the wing and still reform correctly.

I checked the FRED documentation, and it even says that before reforming Alpha wing (or whichever wing the player's craft is currently in) that you must break up/disband Alpha wing before proceeding.

To clarify, the current system requires at least 1 NPC in a wing before your able to reform it.

(0013670)
jg18 (reporter)
2012-06-15 20:29

Interesting. I wonder why it's done that way.

The question originally came up because the extended walkthrough in the FREDDocs requires you to reform Alpha wing at some point. I guess I missed the line in the walkthrough that says to disband Alpha wing first (which at that point consisted of just Alpha 1), so I was confused as to why I couldn't reform Alpha wing.
(0013690)
CommanderDJ (developer)
2012-06-21 08:37
edited on: 2012-06-21 08:45

Fix attached. Please test.

(0013719)
Goober5000 (administrator)
2012-06-25 02:35

Fix committed to trunk@8912.
(0013774)
Zacam (administrator)
2012-07-01 21:29

Fix committed to fs2_open_3_6_14@8964.

- Related Changesets
fs2open: trunk r8912
Timestamp: 2012-06-25 01:41:06
Author: Goober5000
Ported: N/A
Details ] Diff ]
CommanderDJ's fix for Mantis 0002628
mod - /trunk/fs2_open/code/fred2/wing.cpp Diff ] File ]
fs2open: fs2_open_3_6_14 r8964
Timestamp: 2012-07-01 21:30:11
Author: Zacam
Ported: N/A
Details ] Diff ]
Backport: Trunk r8912; CommanderDJ's fix for Mantis 0002628
mod - /branches/fs2_open_3_6_14/code/fred2/wing.cpp Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-03-10 17:24 jg18 New Issue
2012-03-10 17:24 jg18 File Added: formwingtest.fs2
2012-06-14 22:38 z64555 Note Added: 0013669
2012-06-14 23:01 z64555 Note Edited: 0013669 View Revisions
2012-06-14 23:25 z64555 Note Edited: 0013669 View Revisions
2012-06-15 20:29 jg18 Note Added: 0013670
2012-06-21 08:37 CommanderDJ File Added: mantis_2628.patch
2012-06-21 08:37 CommanderDJ Assigned To => CommanderDJ
2012-06-21 08:37 CommanderDJ Status new => assigned
2012-06-21 08:37 CommanderDJ Note Added: 0013690
2012-06-21 08:45 CommanderDJ Note Edited: 0013690 View Revisions
2012-06-21 08:48 CommanderDJ Status assigned => code review
2012-06-25 02:22 Goober5000 Product Version 3.6.14 RC5 => 3.6.14 RC6
2012-06-25 02:35 Goober5000 Changeset attached => fs2open trunk r8912
2012-06-25 02:35 Goober5000 Note Added: 0013719
2012-06-25 02:35 Goober5000 Status code review => resolved
2012-06-25 02:35 Goober5000 Resolution open => fixed
2012-07-01 21:29 Zacam Changeset attached => fs2open fs2_open_3_6_14 r8964
2012-07-01 21:29 Zacam Note Added: 0013774


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker